#infinity {
    position: relative;
    width: 212px;
    height: 100px;
    box-sizing: content-box;
  }
  #infinity:before,
  #infinity:after {
    content: "";
    box-sizing: content-box;
    position: absolute;
    top: 0;
    left: 0;
    width: 60px;
    height: 60px;
    border: 20px solid red;
    border-radius: 50px 50px 0 50px;
    transform: rotate(-45deg);
  }
  #infinity:after {
    left: auto;
    right: 0;
    border-radius: 50px 50px 50px 0;
    transform: rotate(45deg);
  }

  .car {
    position: absolute;
    width: 10px;
    height: 10px;
    background: black;
    top: 50px;
    left: 6px;
    border-radius: 5px;
    animation: 10s caring infinite;
    z-index: 99;
  }

  
@keyframes caring{
    0% {
        top: 50px;
        left: 6px;
    }
    8% {
        top: 19px;
        left: 15px;
    }
    16% {
        top: 5px;
        left: 42px;
    }
    32% {
        top: 84px;
        left: 160px;
    }
    48% {
        top: 50px;
        left: 195px;
    }
    64% {
        top: 5px;
        left: 160px;
    }
    80% {
        top: 84px;
        left: 42px;
    }
    100% {
        top: 50px;
        left: 6px;
    }
}